title1 CENSUS OF CANADA 1981 - BST: CSD-SHORT FORM- SDW81A10
title2 SAS commands by Sushil Kumar, UT/DLS 11/2003, using DAIS ddims Publisher
LIBNAME LIBRARY 'C:\SUSHIL\CC81\CSD\SHORT\';
LIBNAME OUT 'C:\SUSHIL\CC81\CSD\SHORT\';
PROC FORMAT LIBRARY=LIBRARY ;
  Value  V1_F
    0.00='Canada'
    10.00='Newfoundland'
    11.00='Prince Edward Island'
    12.00='Nova Scotia'
    13.00='New Brunswick'
    24.00='Quebec'
    35.00='Ontario'
    46.00='Manitoba'
    47.00='Saskatchewan'
    48.00='Alberta'
    59.00='British Columbia'
    60.00='Yukon'
    61.00='Northwest Territories'
  ;
  Value  V4_F
    1.00='500,000 & over'
    2.00='100,000 - 499,999'
    3.00='30,000 - 99,999'
    4.00='10,000 - 29,999'
    5.00='5,000 - 9,999'
    6.00='2,500 - 4,999'
    7.00='1,000 - 2,499'
    8.00='0 - 999'
  ;
  Value  V8_F
    0.00='Not a CMA/CA'
    1.00='CMA'
    2.00='CA'
  ;
  Value  V10_F
    1.00='Includes IR or part of IR'
  ;
  Value  V11_F
    1.00='Canada'
    2.00='Provinces'
    3.00='Remainder'
    10.00='CMA/CA'
    12.00='Prov. CT subtotal'
    13.00='Census tracts'
    15.00='Prov. census tracts'
    16.00='Census divisions'
    17.00='Census subdivisions'
    18.00='Federal electoral districts'
    19.00='Enumeration areas'
  ;
RUN;
DATA  OUT.SDW81A10;
 INFILE 'C:\SUSHIL\CC81\CSD\SHORT\SDW81A10.DAT' LRECL = 322;
 INPUT
  RP 1-2  CD 3-4  CSDGC 5-7  CSDS 8-8  CSDT 9-10  CCSGC 11-13  CA 14-16  CASL 17-17  CSDN $ 18-49  HGIMPIND 50-50
  RECTYPE 51-52  F2 53-61  F3 62-70  F4 71-79  F5 80-88  F6 89-97  F7 98-106  F8 107-115  F9 116-124  F10 125-133
  F11 134-142  F12 143-151  F13 152-160  F14 161-169  F15 170-178  F16 179-187  F17 188-196  F18 197-205  F19 206-214  F20 215-223
  F21 224-232  F22 233-241  F23 242-250  F24 251-259  F25 260-268  F26 269-277  F27 278-286  F28 287-295  F29 296-304  F30 305-313
  F31 314-322 ;

  FORMAT  RP V1_F. ;
  FORMAT  CSDS V4_F. ;
  FORMAT  CASL V8_F. ;
  FORMAT  HGIMPIND V10_F. ;
  FORMAT  RECTYPE V11_F. ;
  LABEL
    RP='Region and province'
    CD='Census division'
    CSDGC='Census subdivision geographical classification'
    CSDS='CSD population size group'
    CSDT='CSD type code'
    CCSGC='Census consolidated subdivision geographical classification'
    CA='Census metropolitan area/Census agglomeration'
    CASL='CMA/CA selector'
    CSDN='Name of the geographic area'
    HGIMPIND='Indian Reserve: High imputation area indicator'
    RECTYPE='Record type'
    F2='Total occupied private dwellings'
    F3='Single detached: Total'
    F4='Apartment, five or more storeys: Total'
    F5='Double house: Total'
    F6='Row house: Total'
    F7='Apartment, less than five storeys: Total'
    F8='Duplex: Total'
    F9='House attached to a non-residential building: Total'
    F10='Other multiple dwellings: Total'
    F11='Movable dwellings: Total'
    F12='Total occupied private dwellings: Owned'
    F13='Single detached: Owned'
    F14='Apartment, five or more storeys: Owned'
    F15='Double house: Owned'
    F16='Row house: Owned'
    F17='Apartment, less than five storeys: Owned'
    F18='Duplex: Owned'
    F19='House attached to a non-residential building: Owned'
    F20='Other multiple dwellings: Owned'
    F21='Movable dwellings: Owned'
    F22='Total occupied private dwellings: Rented'
    F23='Single detached: Rented'
    F24='Apartment, five or more storeys: Rented'
    F25='Double house: Rented'
    F26='Row house: Rented'
    F27='Apartment, less than five storeys: Rented'
    F28='Duplex: Rented'
    F29='House attached to a non-residential building: Rented'
    F30='Other multiple dwellings: Rented'
    F31='Movable dwellings: Rented'
  ;
  ;
RUN;
